function CPU = processor_selection

    d = dialog('Position',[300 300 250 150],'Name','Select One');
    txt = uicontrol('Parent',d,...
           'Style','text',...
           'Position',[20 80 210 40],...
           'String','select proccesing unit');
       
    popup = uicontrol('Parent',d,...
           'Style','popup',...
           'Position',[75 70 100 25],...
           'String',{'CPU';'GPU'},...
           'Callback',@popup_callback);
       
    btn = uicontrol('Parent',d,...
           'Position',[89 20 70 25],...
           'String','Run!',...
           'Callback','delete(gcf)');
       
    choice = 'CPU';
       
    % Wait for d to close before running to completion
    uiwait(d);
   
       function popup_callback(popup,callbackdata)
          idx = popup.Value;
          popup_items = popup.String;
          choice = char(popup_items(idx,:));
       end
   
   if strcmp(choice,'GPU')
       CPU = 0;
   else
       CPU = 1;
   end
   
end