function XYZ=gpm(R1,R2,w0,T,delz,n,cc,M,umax)


 %R1 The spatial and transform ranges.
 %R2 The beam radius
%M Number of iteration
%T Period of taking a snapshot 
k=0;  %index of the snapshots
%delz the size of one step in z direction
umax(1)=umax; %The initial amplitude 
ord=0.5; %bessel function order
jn=pi*[1:1:2*R1*R2]';%bessel function zeros
rn=jn/(2*pi*R2);
rho=jn/(2*pi*R1);
%lense parameters******************************************************
%lambda=600*10^-3;
%f=;
%k=2*pi*n/lambda;
%cc=k/2/f;
lens=exp(-i*cc*rn.^2);
%**************************************************************************
u=umax(1)*exp(-rn.^2/(2*w0^2)).*lens;%The initial profile
u0r=u;
S=jn(length(jn))+jn(2)-jn(1);
C=2/S*besselj(ord,(jn*jn')/S).*(abs(besselj(ord+1,jn).^(-1))*(abs(besselj(ord+1,jn).^(-1)))');
dz=0;
for m=1:M
    m
    dz(m+1)=dz(m)+delz;
    v=rn.^(1/2).*u;
    w=exp(-i*4*pi^2*rho.^2*delz/2);
    vh=ASFBSS(v,C,jn,R1,R2,0,ord).*w;
    u=rn.^(-1/2).*ASFBSS(vh,C,jn,R1,R2,1,ord);%% here we need to multyply the expression with the 
    %nonlinear part   y3ne lazem ndrob b2hvar lo lenary
    x=(u.*conj(u)+conj(u).*u)/2;
    fg=eval(n);
    qr=exp(i*fg*delz);
    u=u.*qr;
    v=rn.^(1/2).*u;
    vh=ASFBSS(v,C,jn,R1,R2,0,ord).*w;
    u=rn.^(-1/2).*ASFBSS(vh,C,jn,R1,R2,1,ord);
    if mod(m,T)==0
        k=k+1;
        ur=[flipud(u);u];
        U(:,k+1)=abs(ur).^2;
    end
end
fr=[-flipud(rn);rn];
zr=dz(length(dz));
su=size(U);
[Fr,dz]=meshgrid(linspace(0,zr,su(2)),fr);
XYZ(1,:,:)=dz;
XYZ(2,:,:)=Fr;
XYZ(3,:,:)=U;
end