% Transfering a rectangular beam into a cosine shape in x-y plane,
% approximating the form of a doubly clamped beam.

% l - dimension in x direction
% node_list - the original node_list of the beam
% max_deflection - the maximum deflesction of the beam in y direction at
% the center of the beam

function [node_list_out]=beam1_form_function(node_list,l,t,w,max_deflection)
node_list_out=node_list;
node_list_out(:,2)=node_list(:,2)+max_deflection*(1-cos(2*pi()*(node_list(:,1)/l-1)));