function [H0,Hm] = initial_surface(p,S)

H0 = 1/sqrt(2)*complex(randn(p.meshSize),randn(p.meshSize)).*sqrt(S);
Hm = zeros(p.meshSize);

H0r = ifft2(H0);
H0 = fft2(fliplr(H0r));

for m = 1:p.meshSize
    for n = 1:p.meshSize
        Hm(m,n) = conj(H0((p.meshSize-m+1),p.meshSize-n+1));
    end
end

end

